using SlnMesnac.WPF.ViewModel;
using SlnMesnac.WPF.Views;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SlnMesnac.WPF.Page
{
    /// <summary>
    /// ExecutePage.xaml 的交互逻辑
    /// </summary>
    public partial class ExecutePage : UserControl
    {
        public ExecutePage()
        {
            InitializeComponent();
            this.DataContext = new ExecuteViewModel();
        }

        #region 弹出工单信息窗口
        /// <summary>
        /// 弹出工单信息窗口
        /// </summary>
        private void ShowPlanDetailWin()
        {
            PlanDetailWin planDetailWin = new PlanDetailWin();
            //planDetailWin.Owner = this;
            planDetailWin.ShowDialog();
        }


        #endregion

        private void ChangeShifts_Click(object sender, RoutedEventArgs e)
        {

        }
        private void dgvMH_LoadingRow(object sender, DataGridRowEventArgs e)
        {
            e.Row.Header = (e.Row.GetIndex() + 1).ToString();
        }

        public string GetSelectedRowValue()
        {
            if (DataGridPlanInfo.SelectedItem != null)
            {
                DataRowView row = (DataRowView)DataGridPlanInfo.SelectedItems[0];

                // 获取选中行中指定列的值
                string value = row["PlanCode"].ToString();

                //// 或者直接遍历选中行中的所有列
                //foreach (DataColumn col in row.Row.Table.Columns)
                //{
                //    string colName = col.ColumnName;
                //    string colValue = row[colName].ToString();
                //}
                return value;
            }
            else
            {
                return string.Empty;
            }
        }

        
    }
}
